@import url("https://fonts.googleapis.com/css?family=Ubuntu");

* {
  box-sizing: border-box;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  margin: 0;
  /* padding: 0; */
}
body {
  font-family: Ubuntu, sans-serif;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  padding: 3% 0;
  background-image: linear-gradient(120deg, #a1c4fd 0%, #c2e9fb 100%);
}
header {
  margin-bottom: 1rem;
  margin: 0 auto;
}
main {
  padding-top: 2rem;
  margin-bottom: 2rem;
}
main > .container {
  background-color: rgba(255, 255, 255, 0.7);
  padding-top: 1em;
  padding-bottom: 1em;
  border-radius: 4px;
  margin: 1em auto;
}
.list-group {
  max-height: 50vh;
  overflow: scroll;
  display: block;
}
.list-group-item {
  display: flex;
  /* flex-direction: row; */
  justify-content: space-between;
  /* margin: 0 auto; */
}
.form-group {
  margin-bottom: 1rem;
}

.form-inline .form-control {
  display: inline-block;
  width: auto;
  vertical-align: middle;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  margin-right: -5px;
  margin-left: -5px;
}

label {
  margin-bottom: 0.5rem;
}
h1 {
  color: white;
}
h4 {
  padding: 0.5em;
}

/*  STICKY FOOTER   */
footer {
  width: 100%;
  color: rgb(117, 117, 117);
  letter-spacing: 1px;
  margin-top: auto;
}
footer a {
  color: rgb(59, 140, 172);
}

/*  COLOR CLASSES   */
.bg-info {
  background-color: lightskyblue !important;
}
.bg-success {
  background-color: lightgreen !important;
}
.bg-warning {
  background-color: orange !important;
}
.bg-danger {
  background-color: lightcoral !important;
}

/*  FORMS AND MESSAGES  */
#initial-form {
  text-align: center;
  padding: 2rem 0;
  margin-bottom: 1rem;
  border-bottom: 1px solid #cecece;
}
#enter-budget,
#budget-btn {
  height: 2em;
  text-align: center;
  font-size: 2rem;
  margin-top: 1em;
}
#first-message,
#second-message {
  color: red;
  font-size: 1rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
}
/*  MEDIA QUERIES   */
/* @media (max-width: 991px) {
  footer {
    display: none;
  }
}
@media (max-height: 650px) {
  footer {
    display: none;
  }
} */
@media (max-width: 768px) {
  #enter-budget {
    width: 400px;
  }
  #budget-btn {
    margin-left: 1em;
  }
}
@media (min-width: 1200px) {
  .container {
    width: 1000px;
  }
}
